%define git git20110808
# define Epoch only to revert from 0.5.5.1 to 0.5.5 git
Epoch: 1

Summary:	A set of default configuration for LXDE
Name:	  	lxde-common
Version:	0.5.5
Release:	%mkrel -c %git 20
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Source1:	rosa-button-lxde.png
# Mandriva customization patch
Patch101:	lxde-common-0.5.5-pcmanfm.conf.patch
Patch102:	lxde-common-0.5.5-add-mcc-to-panel.patch
Patch103:	lxde-common-0.5.5-lxpanel-customization.patch
Patch106:	lxde-common-0.5.5-autostart.patch
Patch109:	lxde-common-0.5.5-config.patch

URL:		http://lxde.sourceforge.net/
BuildRequires:	xsltproc docbook-style-xsl
BuildArch:	noarch
#Requires:	smproxy
Suggests:	xscreensaver
Requires:	openbox
Requires:	lxpanel >= 0.5.9
Requires:	lxsession >= 0.4.1
Requires:	pcmanfm >= 0.9.10
Requires:	lxterminal
Requires:	lxde-icon-theme
Requires:	mandriva-lxde-config >= 0.5
Requires(post):	mandriva-theme

%description
This package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch101 -p0 -b .pcmanfm_conf
%patch102 -p0 -b .mdv-mcc
%patch103 -p1 -b .mdv-panel
%patch106 -p0 -b .autostart
%patch109 -p0 -b .config

%build
#./autogen.sh
%configure2_5x --enable-man
%make

%install
%makeinstall_std

mkdir -p %buildroot%{_datadir}/icons
cp -f %SOURCE1 %{buildroot}%{_datadir}/icons/

#{find_lang} %{name}

# we'll ship these files via mandriva-lxde-config
rm -f %buildroot%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf %buildroot%{_datadir}/lxde/openbox/rc.xml

# we do not need this file
rm -f %buildroot%{_datadir}/xsessions/LXDE.desktop

# instead, we use wmsession.d
install -d %buildroot%_sysconfdir/X11/wmsession.d/
cat > %buildroot%_sysconfdir/X11/wmsession.d/04LXDE << EOF
NAME=LXDE
DESC=Lightweight X11 Desktops Environment
EXEC=/usr/bin/startlxde
SCRIPT:
exec /usr/bin/startlxde
EOF

# install this one manually, this provides the logout button on lxpanel:
install -m644 -D lxde-logout.desktop.in %buildroot%_datadir/applications/lxde-logout.desktop

%post
%make_session

%postun
%make_session

%files
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config %{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf
%{_sysconfdir}/X11/wmsession.d/04LXDE
%{_bindir}/*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/lxde
%{_datadir}/lxpanel
%{_mandir}/man1/*
%{_datadir}/icons/rosa-button-lxde.png



%changelog
* Fri Nov 15 2013 Alexander Kazancev <kazancas@gmail.com> 1:0.5.5-0.git20110808.20
+ Revision: b27e0b4
- SILENT up version


